RUP(1C)

NAME
rup - show host status of local machines (RPC version)

SYNOPSIS
rup [ -h ] [ -l ] [ -t ] [ host ... ]

DESCRIPTION
Rup gives a status similar to uptime for remote machines; It broadcasts on the local network, and displays the responses it receives.

Normally, the listing is in the order that responses are received, but this order can be changed by specifying one of the options listed below.

When host arguments are given, rather than broadcasting rup will only query the list of specified hosts.

A remote host will only respond if it is running the rstatd daemon, which is normally started up from inetd(8C).

OPTIONS

-h  sort the display alphabetically by host name.

-l  sort the display by load average

-t  sort the display by up time.

FILES
/etc/servers

SEE ALSO
ruptime(1C), inetd(8C), rstatd(8C)

BUGS

Broadcasting does not work through gateways.